<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head>
<meta content="text/html; charset=ISO-8859-1" http-equiv="content-type"><title>Tdct Reference Section</title><meta content="Rolf Keitel" name="author"></head>
<body>
<h2><a name="Reference_Section">Reference
Section</a></h2>
<br>
<a href="#keyactions">Key actions</a><br>
<a href="#mousewheelactions">Mouse wheel actions</a><br>
<a href="#mouseactions">Mouse actions</a><br>
<a href="#mouseactionssymbolselected">Mouse actions when a
symbol is selected</a><br>
<a href="#mouseactionswireselected">Mouse actions when a
wire is selected</a><br>
<a href="#mouseactionsnewwire">Mouse actions when a new
wire is drawn</a><br>
<br>
<span style="font-weight: bold;">Note:</span><br>
The
mouse nomenclature in this section is written from the point of view of
a right handed person, i.e. "left" is used to denote mouse button 1,
"right" is used to denote mouse button 2.<br>
<h3><a name="keyactions">Key actions:</a></h3>
<table style="text-align: left; width: 100%;" border="1" cellpadding="2" cellspacing="2">
<tbody>
<tr>
<td>zoom in</td>
<td>&nbsp;+ or =</td>
</tr>
<tr>
<td>zoom out</td>
<td>&nbsp;- or _</td>
</tr>
<tr>
<td>zoom to original </td>
<td>&nbsp;0</td>
</tr>
<tr><td>selection rectangle zoom undo</td><td>CTRL-0</td></tr><tr>
<td>pan canvas</td>
<td>&nbsp;arrow keys</td>
</tr>
<tr>
<td>unselect all</td>
<td>&nbsp;ESC</td>
</tr>
<tr>
<td>end of new wire draw</td>
<td>&nbsp;ESC</td>
</tr>
<tr>
<td>end of wire edit</td>
<td>&nbsp;ESC</td>
</tr>
<tr>
<td>end of property move</td>
<td>&nbsp;ESC</td>
</tr>
<tr>
<td>abort zoom by selection rectangle <br>
(while left mouse button is still held down)</td>
<td>ESC</td>
</tr>
<tr>
<td>delete selected objects</td>
<td>&nbsp;delete</td>
</tr>
<tr>
<td>undelete last &nbsp;of deleted objects</td>
<td>&nbsp;shift-delete</td>
</tr>
<tr>
<td>copy selected objects to clip-board</td>
<td>CTRL-C</td>
</tr>
<tr>
<td>cut selected objects to clip-board</td>
<td>CTRL-X<br>
</td>
</tr>
<tr>
<td>paste selected objects from clip-board</td>
<td>CTRL-V</td>
</tr>
<tr>
<td>undo &nbsp;(enabled after cut or move of objects) <br>
- one level of undo only</td>
<td>CTRL-Z</td>
</tr>
<tr>
<td>descend hierarchy <br>
(if one and only one symbol in a schematic is selected)</td>
<td>D</td>
</tr>
</tbody>
</table>
<br>
<h3><a name="mousewheelactions">Mouse
wheel actions:</a></h3>
<table style="text-align: left; width: 100%;" border="1" cellpadding="2" cellspacing="2">
<tbody>
<tr>
<td>zoom in (with respect to centre of canvas)</td>
<td>&nbsp;CTRL scroll forward</td>
</tr>
<tr>
<td>zoom out (with respect to centre of canvas)</td>
<td>&nbsp;CTRL scroll backward</td>
</tr>
<tr>
<td> zoom in (with respect to current mouse position)</td>
<td>CTRL-SHIFT scroll forward</td>
</tr>
<tr>
<td>zoom out (with respect to current mouse position)</td>
<td>CTRL-SHIFT scroll backward</td>
</tr>
<tr>
<td>pan canvas vertical</td>
<td>&nbsp;scroll</td>
</tr>
<tr>
<td>pan canvas horizontal</td>
<td>&nbsp;SHIFT scroll</td>
</tr>
</tbody>
</table>
<br>
<h3><a name="mouseactions">Mouse actions:</a></h3>
<span style="font-weight: bold;">Note:</span><br>
The "zoom area" and" select area" functions are by default assigned to
the left and right mouse buttons respectively.<br>
By starting tdct with the command line option "-z 2" this assignment is
reversed.
<table style="text-align: left; width: 100%;" border="1" cellpadding="2" cellspacing="2">
<tbody>
<tr>
<th>Function</th>
<th colspan="1" rowspan="1">Mouse (default)</th>
<td>Mouse (-z 2)</td>
<th>Notes</th>
</tr>
<tr>
<td style="text-align: left; vertical-align: top;">zoom
area
<ol>
</ol>
</td>
<td colspan="1" rowspan="1" style="vertical-align: top;">&nbsp;left drag</td>
<td>middle drag</td>
<td></td>
</tr>
<tr>
<td>select
&nbsp;area</td>
<td>middle-drag or CTRL-left drag &nbsp;or&nbsp; CTRL-middle
drag&nbsp;
</td>
<td>left-drag or CTRL-left drag or&nbsp; CTRL-middle
drag&nbsp;</td>
<td>a selection area with width<br>
and height &lt; 3 pixels is ignored</td>
</tr>
<tr>
<td>select symbol or wire</td>
<td rowspan="1" colspan="2" style="vertical-align: top;">&nbsp;left
click</td>
<td></td>
</tr>
<tr>
<td>add to selection</td>
<td colspan="2" rowspan="1">CTRL-left click</td>
<td></td>
</tr>
<tr>
<td>zoom and pan to original</td>
<td colspan="2" rowspan="1">middle-click<br>
CTRL-middle clidk<br>
ALT-middle click<br>
SHIFT-middle click</td>
<td></td>
</tr>
</tbody>
</table>
<br>
<br>
<br>
<br>
<h3><a name="mouseactionssymbolselected">Mouse
actions when a symbol is selected:</a>
</h3>
<table style="text-align: left; width: 100%;" border="1" cellpadding="2" cellspacing="2">
<tbody>
<tr>
<th>Function</th>
<th>Mouse</th>
<th>Notes</th>
</tr>
<tr>
<td style="text-align: left; vertical-align: top;">descend
hierarchy </td>
<td style="vertical-align: top;">&nbsp;left
double click</td>
<td>will open a new tab, if necessary</td>
</tr>
<tr>
<td style="vertical-align: top;">display property
dialog </td>
<td style="vertical-align: top;">right
click&nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </td>
<td>only one object (symbol or comment) must<br>
be selected</td>
</tr>
<tr>
<td>drag symbol </td>
<td style="vertical-align: top;">left drag</td>
<td></td>
</tr>
<tr>
<td>show symbol id and symbol file name</td>
<td>CTRL-right click</td>
<td>only one object (symbol or comment) must<br>
be selected</td>
</tr>
<tr>
<td>flip bus-tap</td>
<td>SHIFT-right click</td>
<td>flips bus-tap 180<sup>o</sup> around
direction of bus-wire</td>
</tr>
</tbody>
</table>
<br>
<br>
<h3><a name="mouseactionswireselected">Mouse&nbsp;actions
when a wire is selected:</a>
</h3>
<table style="text-align: left; width: 100%;" border="1" cellpadding="2" cellspacing="2">
<tbody>
<tr>
<th>Function</th>
<th>Mouse</th>
<th>Notes</th>
</tr>
<tr>
<td style="text-align: left; vertical-align: top;">toggle
edit mode </td>
<td style="vertical-align: top;">&nbsp;right-click</td>
<td>if edit mode is on, selection squares are <br>
drawn around each wire point</td>
</tr>
<tr>
<td>drag wire point</td>
<td style="vertical-align: top;">left drag</td>
<td>if you drag a wire end point and the point
location allows a connection to a symbol port, the mouse cursor changes
to a pointing hand.</td>
</tr>
<tr>
<td>insert wire segment at begin of wire</td>
<td>SHIFT-left-click</td>
<td><br>
</td>
</tr>
<tr>
<td>insert wire segment at end of wire</td>
<td>SHIFT-right-click</td>
<td><br>
</td>
</tr>
<tr>
<td>delete wire segment at begin of wire</td>
<td>ALT-left-click</td>
<td><br>
</td>
</tr>
<tr>
<td>delete wire segment at end of wire</td>
<td>ALT-right-click</td>
<td><br>
</td>
</tr>
<tr>
<td>show / rename wire id</td>
<td>CTRL-right click</td>
<td>renaming only for buses and bus-wires. Other wire ids
are auto-assigned.</td>
</tr>
</tbody>
</table>
<br>
<br>
<br>
<br>
<h3><a name="mouseactionsnewwire">Mouse
actions when a new wire is drawn:</a>
</h3>
<table style="text-align: left; width: 100%;" border="1" cellpadding="2" cellspacing="2">
<tbody>
<tr>
<th>Function</th>
<th>Mouse</th>
</tr>
<tr>
<td style="text-align: left; vertical-align: top;">extend
wire segement </td>
<td style="vertical-align: top;">mouse move (no
button pressed)</td>
</tr>
<tr>
<td> insert first point</td>
<td style="vertical-align: top;">left
click&nbsp;
&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </td>
</tr>
<tr>
<td> insert next point</td>
<td style="vertical-align: top;">left
click&nbsp;
&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</td>
</tr>
<tr>
<td>finish wire draw</td>
<td>right click</td>
</tr>
<tr>
<td></td>
<td></td>
</tr>
</tbody>
</table>
<br>
<br>
<br>
<h3><a name="mouseactionstab">Mouse
actions on a tab:</a>
</h3>
<br>
<table style="text-align: left; width: 100%;" border="1" cellpadding="2" cellspacing="2">
<tbody>
<tr>
<th>Function</th>
<th>Mouse</th>
<td>Notes</td>
</tr>
<tr>
<td>open new instance of a schematic</td>
<td>left double-click on tab</td>
<td>for symbols, only one instance can be displayed</td>
</tr>
<tr>
<td>close tab</td>
<td>middle-click on tab</td>
<td></td>
</tr>
</tbody>
</table>
<br>
</body></html>